Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.report
Class HTMLReport

    java.lang.Object
      com.sun.javatest.report.HTMLReport

    public class HTMLReport

extends java.lang.Object

HTML format of the report.

Nested Class Summary
`static class` | `ReportFormat.ReportLink`

Constructor Summary
`HTMLReport()`

Method Summary
`boolean` | `acceptSettings(ReportSettings s)`
`java.lang.String` | `getBaseDirName()`
`static java.lang.String` | `getFile(int code)` Gets the file name based one the input code.
`static java.lang.String[]` | `getReportFilenames()` Gets the standard report file name used in JT Harness.
`java.lang.String` | `getReportID()`
`java.util.List<com.sun.javatest.report.ReportFormat>` | `getSubReports()`
`java.lang.String` | `getTypeName()`
`void` | `setKflData(KflSorter s)`
`void` | `setResults(java.util.TreeSet[] results)`
`ReportFormat.ReportLink` | `write(ReportSettings s, java.io.File dir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLReport

    public HTMLReport()

Method Detail

### write

    public ReportFormat.ReportLink write(ReportSettings s,
                                         java.io.File dir)
                                  throws java.io.IOException

  Parameters:
    `s` - Settings to use to create the report.
    `dir` - Directory in which the report output should be written.
  Returns:
    ReportLink object for the report file (used in report index)
  Throws:
    `java.io.IOException`

### getReportID

    public java.lang.String getReportID()

### getBaseDirName

    public java.lang.String getBaseDirName()

### getTypeName

    public java.lang.String getTypeName()

### acceptSettings

    public boolean acceptSettings(ReportSettings s)

### getSubReports

    public java.util.List<com.sun.javatest.report.ReportFormat> getSubReports()

### getReportFilenames

    public static java.lang.String[] getReportFilenames()

  Gets the standard report file name used in JT Harness. Note that this returns the file names which are used for the main report only, not the aux. HTML files.

  Returns:
    The report name.

### getFile

    public static java.lang.String getFile(int code)

  Gets the file name based one the input code.

  Parameters:
    `code` - The code name for the file.
  Returns:
    The file name.

### setResults

    public void setResults(java.util.TreeSet[] results)

### setKflData

    public void setKflData(KflSorter s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.